# $Revision: 1.40 $, $Date: 2012/03/16 06:53:50 $
Summary:	X Toolkit Intrinsics library
Summary(pl.UTF-8):	Biblioteka X Toolkit Intrinsics
Name:		xorg-lib-libXt
Version:	1.1.3
Release:	1
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXt-%{version}.tar.bz2
# Source0-md5:	a6f137ae100e74ebe3b71eb4a38c40b3
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	cpp
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xmlto >= 0.0.20
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-proto-kbproto-devel
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-sgml-doctools >= 1.1
BuildRequires:	xorg-util-util-macros >= 1.13
Obsoletes:	libXt
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X Toolkit Intrinsics library.

%description -l pl.UTF-8
Biblioteka X Toolkit Intrinsics.

%package devel
Summary:	Header files for libXt library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXt
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libSM-devel
Requires:	xorg-lib-libX11-devel
Obsoletes:	libXt-devel

%description devel
X Toolkit Intrinsics library.

This package contains the header files needed to develop programs that
use libXt.

%description devel -l pl.UTF-8
Biblioteka X Toolkit Intrinsics.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXt.

%package static
Summary:	Static libXt library
Summary(pl.UTF-8):	Biblioteka statyczna libXt
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libXt-static

%description static
X Toolkit Intrinsics library.

This package contains the static libXt library.

%description static -l pl.UTF-8
Biblioteka X Toolkit Intrinsics.

Pakiet zawiera statyczną bibliotekę libXt.

%prep
%setup -q -n libXt-%{version}

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_datadir}/X11/app-defaults
install -d $RPM_BUILD_ROOT%{_datadir}/X11/{cs,da,de,es,es_AR,eu,fr,hu,it,ja,ko,mg,nb,nl,oc,pl,pt,pt_BR,ru,sk,sv,zh_CN,zh_TW}/app-defaults

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libXt.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXt.so.6
%dir %{_datadir}/X11/app-defaults
%lang(cs) %{_datadir}/X11/cs
%lang(da) %{_datadir}/X11/da
%lang(de) %{_datadir}/X11/de
%lang(es) %{_datadir}/X11/es
%lang(es_AR) %{_datadir}/X11/es_AR
%lang(eu) %{_datadir}/X11/eu
%lang(fr) %{_datadir}/X11/fr
%lang(hu) %{_datadir}/X11/hu
%lang(it) %{_datadir}/X11/it
%lang(ja) %{_datadir}/X11/ja
%lang(ko) %{_datadir}/X11/ko
%lang(mg) %{_datadir}/X11/mg
%lang(nb) %{_datadir}/X11/nb
%lang(nl) %{_datadir}/X11/nl
%lang(oc) %{_datadir}/X11/oc
%lang(pl) %{_datadir}/X11/pl
%lang(pt) %{_datadir}/X11/pt
%lang(pt_BR) %{_datadir}/X11/pt_BR
%lang(ru) %{_datadir}/X11/ru
%lang(sk) %{_datadir}/X11/sk
%lang(sv) %{_datadir}/X11/sv
%lang(zh_CN) %{_datadir}/X11/zh_CN
%lang(zh_TW) %{_datadir}/X11/zh_TW

%files devel
%defattr(644,root,root,755)
%doc specs/intrinsics.html
%attr(755,root,root) %{_libdir}/libXt.so
%{_libdir}/libXt.la
%{_includedir}/X11/*.h
%{_pkgconfigdir}/xt.pc
%{_mandir}/man3/MenuPop*.3x*
%{_mandir}/man3/Xt*.3x*

%files static
%defattr(644,root,root,755)
%{_libdir}/libXt.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-lib-libXt.spec,v $
Revision 1.40  2012/03/16 06:53:50  arekm
- up to 1.1.3

Revision 1.39  2012/03/08 19:12:57  qboosh
- updated to 1.1.2

Revision 1.38  2011/03/11 15:12:11  qboosh
- updated to 1.1.1

Revision 1.37  2011/03/07 15:52:16  qboosh
- updated to 1.1.0

Revision 1.36  2010/10/29 06:28:38  qboosh
- updated to 1.0.9

Revision 1.35  2010/03/16 06:08:55  arekm
- up to 1.0.8

Revision 1.34  2009/11/12 10:24:36  patrys
- rebuild
- rel 2

Revision 1.33  2009/10/09 15:20:30  qboosh
- updated util-macros version

Revision 1.32  2009/10/09 11:09:25  arekm
- up to 1.0.7

Revision 1.31  2009/09/29 22:15:11  qboosh
- updated util-macros version
- ghost soname symlink
- more verbose files and descs
- added README to doc

Revision 1.30  2009/07/03 06:08:00  arekm
- up to 1.0.6

Revision 1.29  2008/11/05 23:29:10  arekm
- release 3

Revision 1.28  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.27  2007/02/12 19:44:44  arekm
- rel 2

Revision 1.26  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.25  2007/01/30 20:43:04  qboosh
- updated to 1.0.5

Revision 1.24  2006/11/24 23:53:46  arekm
- rebuild

Revision 1.23  2006/11/21 00:24:40  arekm
- rebuild

Revision 1.22  2006/11/08 15:38:33  arekm
- up to 1.0.4

Revision 1.21  2006/10/26 17:35:33  qboosh
- added es_AR,eu,hu,mg,nb,oc,sk app-defaults dirs (used by ted)

Revision 1.20  2006/10/23 19:31:58  qboosh
- added it/app-defaults dir

Revision 1.19  2006/10/14 16:20:27  qboosh
- updated to 1.0.3, release 1

Revision 1.18  2006/05/27 08:26:07  pluto
- release 0.2.

Revision 1.17  2006/05/26 23:13:56  qboosh
- more dirs for localized app-defaults (collected from SPECS)

Revision 1.16  2006/05/23 06:35:26  arekm
- up to 1.0.2

Revision 1.15  2006/04/27 15:21:24  arekm
- up to 1.0.1

Revision 1.14  2006/03/05 18:32:17  qboosh
- added app-defaults dir (main + pl for now)

Revision 1.13  2005/12/28 14:15:29  qboosh
- sources from X11R7.0 release

Revision 1.12  2005/12/20 13:40:08  qboosh
- 1.0.0 (X11R7.0-RC4)

Revision 1.11  2005/12/04 16:47:11  qboosh
- -devel desc fixes

Revision 1.10  2005/12/04 12:08:14  qboosh
- 0.99.3 (X11R7.0-RC3)

Revision 1.9  2005/11/19 19:42:24  qboosh
- 0.99.2 (X11R7.0-RC2)

Revision 1.8  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.7  2005/10/20 22:06:29  qboosh
- BR: util-macros >= 0.99.1 (XORG_PROG_RAWCPP)

Revision 1.6  2005/10/20 19:27:19  qboosh
- 0.99.1 (X11R7.0-RC1)

Revision 1.5  2005/08/27 19:38:03  wiget
- kill /usr/X11R6

Revision 1.4  2005/08/27 17:56:06  qboosh
- cleanups, ported back to Linux

Revision 1.3  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.2  2005/08/17 20:10:46  qboosh
- Obsoletes for old xlibs or separate packages

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.16  2005/08/14 23:07:05  arekm
- modular X11R7.0-RC0 version (desc from trojan version to keep diffs as smallest as it's possible)

Revision 1.15  2005/05/01 10:21:25  qboosh
- updated Source URL, unified URL

Revision 1.14  2004/05/22 19:22:27  qboosh
- unifications, updated autoconf version

Revision 1.13  2004/05/13 11:31:55  grzegol
- fixed includes patch
- added BR: xproto
- rel. 2

Revision 1.12  2004/05/12 20:18:55  grzegol
- updated to 0.1.5
- removed outdated Source1 and SM_link patch

Revision 1.11  2004/03/12 11:03:14  adgor
- Added apropriate conflicts for main & devel
- Added R /sbin/ldconfig where needed

Revision 1.10  2004/03/12 07:49:35  ankry
- fixed description

Revision 1.9  2004/03/12 06:39:47  ankry
- pl

Revision 1.8  2004/03/10 16:58:43  adgor
- Fixed noautoreqdep

Revision 1.7  2004/03/10 10:53:53  pluto
- BR:, R:, cosmetics.

Revision 1.6  2004/03/06 14:05:07  pluto
- BR:, R:

Revision 1.5  2004/03/05 00:06:40  adgor
- Rel++

Revision 1.4  2004/03/04 21:23:32  adgor
- Added two lines with define

Revision 1.3  2004/03/04 11:52:16  adgor
- noautoreq, R/BR

Revision 1.2  2004/03/04 10:50:31  adgor
- Added SM_link.patch (prepared by freetz)
- Fixed includes.patch
- Fixed R/BR
- Release 2

Revision 1.1  2004/03/04 01:24:20  adgor
- Initial
